Docs Submit task /mj/insight-face/swap
API reference

Face Swap (InsightFace Swap)

Replace the face in the target image with the face from the source image.

POST/mj/insight-face/swap

Body Parametersapplication/json

notifyHook string

Callback URL

sourceBase64* string

Source face image Base64 (the image providing the face)

state string

Custom pass-through state

targetBase64* string

Target image Base64 (the image whose face will be replaced)

Responses

200 success application/json
response-200 object
properties
code integer

Status code: 1=submitted, 21=queued, 22=already exists, 24=invalid parameters

description string

Status description

properties object

Extended properties

result string

Task ID

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"sourceBase64": "string",
3"targetBase64": "string"
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/mj/insight-face/swap" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"sourceBase64": "string",
6"targetBase64": "string"
7}'
Response
1▼{
2"code": 1,
3"description": "提交成功",
4"properties": {},
5"result": "1743326750223591"
6}